Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.helper
Class ExceptionThrowingOWLObjectVisitorAdapter

    java.lang.Object
      |
      +--org.semanticweb.owl.model.helper.ExceptionThrowingOWLObjectVisitorAdapter

All Implemented Interfaces:
  OWLObjectVisitor

public class ExceptionThrowingOWLObjectVisitorAdapter
extends Object
implements OWLObjectVisitor

Provides an implementation of the `OWLObjectVisitor` interface that simply throws an exception for any visit. This can be then be used in situations where the implementation expects to be dealing with a particular subset of the OWLObject hierarchy but wants to make sure that anything odd throws an exception.

Version:
  $Id: OWLObjectVisitorAdapter.java,v 1.1.1.1 2003/10/14 17:10:09 sean_bechhofer Exp $

Constructor Summary
`ExceptionThrowingOWLObjectVisitorAdapter()`
`ExceptionThrowingOWLObjectVisitorAdapter(OWLException exception)` Creates a new `ExceptionThrowingOWLObjectVisitorAdapter` instance.
`ExceptionThrowingOWLObjectVisitorAdapter(String message)` Creates a new `ExceptionThrowingOWLObjectVisitorAdapter` instance.

Method Summary
`void` | `visit(OWLAnd node)`
`void` | `visit(OWLAnnotationInstance node)`
`void` | `visit(OWLAnnotationProperty node)`
`void` | `visit(OWLClass node)`
`void` | `visit(OWLClassAxiom node)`
`void` | `visit(OWLDataAllRestriction node)`
`void` | `visit(OWLDataCardinalityRestriction node)`
`void` | `visit(OWLDataEnumeration node)`
`void` | `visit(OWLDataProperty node)`
`void` | `visit(OWLDataSomeRestriction node)`
`void` | `visit(OWLDataType node)`
`void` | `visit(OWLDataValue node)`
`void` | `visit(OWLDataValueRestriction node)`
`void` | `visit(OWLDifferentIndividualsAxiom node)`
`void` | `visit(OWLDisjointClassesAxiom node)`
`void` | `visit(OWLEnumeration node)`
`void` | `visit(OWLEquivalentClassesAxiom node)`
`void` | `visit(OWLEquivalentPropertiesAxiom node)`
`void` | `visit(OWLFrame node)`
`void` | `visit(OWLIndividual node)`
`void` | `visit(OWLNot node)`
`void` | `visit(OWLObjectAllRestriction node)`
`void` | `visit(OWLObjectCardinalityRestriction node)`
`void` | `visit(OWLObjectProperty node)`
`void` | `visit(OWLObjectSomeRestriction node)`
`void` | `visit(OWLObjectValueRestriction node)`
`void` | `visit(OWLOntology node)`
`void` | `visit(OWLOr node)`
`void` | `visit(OWLSameIndividualsAxiom node)`
`void` | `visit(OWLSubClassAxiom node)`
`void` | `visit(OWLSubPropertyAxiom node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionThrowingOWLObjectVisitorAdapter

    public ExceptionThrowingOWLObjectVisitorAdapter()

### ExceptionThrowingOWLObjectVisitorAdapter

    public ExceptionThrowingOWLObjectVisitorAdapter(String message)

  Creates a new `ExceptionThrowingOWLObjectVisitorAdapter` instance.

Parameters:
  `message` - The message to use in the thrown execption

### ExceptionThrowingOWLObjectVisitorAdapter

    public ExceptionThrowingOWLObjectVisitorAdapter(OWLException exception)

  Creates a new `ExceptionThrowingOWLObjectVisitorAdapter` instance.

Parameters:
  `exception` - an `OWLException` that should be thrown when required.

Method Detail

### visit

    public void visit(OWLAnd node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLAnnotationProperty node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLAnnotationInstance node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLClassAxiom node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDataValue node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLDataType node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLDataEnumeration node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLDataAllRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLDataCardinalityRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLDataProperty node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLDataSomeRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLDataValueRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLDifferentIndividualsAxiom node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLDisjointClassesAxiom node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLEquivalentClassesAxiom node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLEquivalentPropertiesAxiom node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLFrame node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLIndividual node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLObjectAllRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLObjectCardinalityRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLObjectProperty node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLObjectSomeRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLObjectValueRestriction node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLNot node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLOntology node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLOr node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLClass node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLEnumeration node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLSameIndividualsAxiom node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLSubClassAxiom node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

### visit

    public void visit(OWLSubPropertyAxiom node)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb